JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.unix
Class X11.XSizeHints

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XSizeHints

Enclosing interface:
  X11

    public static class X11.XSizeHints

extends Structure

Nested Class Summary
`static class` `X11.XSizeHints.Aspect`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` `base_height`
`int` `base_width`
`NativeLong` `flags`
`int` `height`
`int` `height_inc`
`X11.XSizeHints.Aspect` `max_aspect`
`int` `max_height`
`int` `max_width`
`X11.XSizeHints.Aspect` `min_aspect`
`int` `min_height`
`int` `min_width`
`int` `width`
`int` `width_inc`
`int` `win_gravity`
`int` `x`
`int` `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XSizeHints()`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### flags

    public NativeLong flags

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### min_width

    public int min_width

### min_height

    public int min_height

### max_width

    public int max_width

### max_height

    public int max_height

### width_inc

    public int width_inc

### height_inc

    public int height_inc

### min_aspect

    public X11.XSizeHints.Aspect min_aspect

### max_aspect

    public X11.XSizeHints.Aspect max_aspect

### base_width

    public int base_width

### base_height

    public int base_height

### win_gravity

    public int win_gravity

Constructor Detail

### X11.XSizeHints

    public X11.XSizeHints()

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.